Package io.flutter.embedding.android

# Enum FlutterImageView.SurfaceKind

java.lang.Object
java.lang.Enum<FlutterImageView.SurfaceKind>
io.flutter.embedding.android.FlutterImageView.SurfaceKind

All Implemented Interfaces:
  `Serializable`, `Comparable<FlutterImageView.SurfaceKind>`, `java.lang.constant.Constable`

Enclosing class:
  `FlutterImageView`

public static enum FlutterImageView.SurfaceKind extends Enum<FlutterImageView.SurfaceKind>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `background`
  Displays the background canvas.
  `overlay`
  Displays the overlay surface canvas.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FlutterImageView.SurfaceKind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FlutterImageView.SurfaceKind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### background

    public static final FlutterImageView.SurfaceKind background
    Displays the background canvas.

  - ### overlay

    public static final FlutterImageView.SurfaceKind overlay
    Displays the overlay surface canvas.

- ## Method Details

  - ### values

    public static FlutterImageView.SurfaceKind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FlutterImageView.SurfaceKind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null